Get a brand by url

Get a brand based on the client domain or host domain.

get

Get the brand information by the client domain or host domain.

We will check the client domain first that is the domain of the client that is requesting the resource.

If the client domain is not found, we will check the host domain.

If the host domain is not found, return 404 error.

Header parameters
Brand-URLstringRequired

The brand URL of the request. This is used to identify the brand.

Example: YOUR_BRAND_URL
Responses
chevron-right
200

The request was successful.

application/json

This provides interfaces for API responses with data.

successbooleanRead-onlyRequired

This is the flag to indicate whether the API call is successful or not.

statusCodeinteger · int32Read-onlyRequired

This is the HTTP status code. This is used to determine the status code to be returned to the client.

messagestring · min: 1Read-onlyRequired

This is the message to be displayed to the user.

get
/api/v1/brands/by-url

Last updated